Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Update voice consent

audio.voice_consents.update(consent_id, **kwargs) -> VoiceConsent { id, created_at, language, 2 more }
POST
/audio/voice_consents/{consent_id}

Updates a voice consent recording (metadata only).

Parameters
name: String

The updated label for this consent recording.

Returns

Update voice consent

require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

voice_consent = openai.audio.voice_consents.update("consent_id", name: "name")

puts(voice_consent)
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}
Returns Examples
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}